Skip to main content
GET
/
api
/
v
{version}
/
platform
/
tenants
/
{tenantId}
/
api-keys
cURL
curl --request GET \
  --url https://identity.payven.com.tr/api/v{version}/platform/tenants/{tenantId}/api-keys
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "keycloakClientId": "<string>",
        "displayName": "<string>",
        "contactEmail": "<string>",
        "merchantId": "<string>",
        "planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "planCode": "<string>",
        "planName": "<string>",
        "dailyLimitOverride": 123,
        "monthlyLimitOverride": 123,
        "rateLimitOverride": 123,
        "dailyTransactionCount": 123,
        "monthlyTransactionCount": 123,
        "lastUsedAt": "2023-11-07T05:31:56Z",
        "expiresAt": "2023-11-07T05:31:56Z",
        "allowedIps": "<string>",
        "isActive": true,
        "created": "2023-11-07T05:31:56Z",
        "lastModified": "2023-11-07T05:31:56Z"
      }
    ],
    "pageNumber": 123,
    "totalPages": 123,
    "totalCount": 123,
    "hasPreviousPage": true,
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

tenantId
string<uuid>
required
version
string
required

Query Parameters

IncludeInactive
boolean
PageNumber
integer<int32>
PageSize
integer<int32>
SearchTerm
string

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object